#ifndef _LED_SW_H_
#define _LED_SW_H_

/*******************************************************************************
 *
 *  Include File Area
 *
 ******************************************************************************/

/*******************************************************************************
 *
 *  Exported Constants Area
 *
 ******************************************************************************/

/*******************************************************************************
 *
 *  Exported Definition Area
 *
 ******************************************************************************/

#define ACTIONLEVEL 1 /* level when action will be done */

/*******************************************************************************
 *
 *  Exported Macros Area
 *
 ******************************************************************************/

#if (ACTIONLEVEL > 0)
#define ACTION(n, function)\
    do {\
        if (ACTIONLEVEL >= n) { function; }\
    } while (0)
#else
#define ACTION(n, function) do { } while(0)
#endif

/*******************************************************************************
 *
 *  Exported Function Prototypes Area
 *
 ******************************************************************************/

short LedInit(void);
short LedOn(unsigned char Led);
short LedOff(unsigned char Led);

short SwitchInit(void);

#endif /* _LED_SW_H_ */
/******************************** End of File *********************************/
